Skip to main content
GET
/
events
/
revenue
/
postback
Revenue Event Postback URL
curl --request GET \
  --url https://api.sendx.io/api/v1/rest/events/revenue/postback \
  --header 'X-Team-ApiKey: <api-key>'
{
  "message": "Revenue postback processed successfully.",
  "status": "success"
}

Authorizations

X-Team-ApiKey
string
header
required

Team API key for authentication. Find your API key in SendX Settings → Team API Key.

Example:

X-Team-ApiKey: your_team_api_key_here

Query Parameters

team_id
string
required

The unique identifier for the team.

id
string
required

The unique sendx identifier for the contact/customer.

amount
number<float>
required

The revenue amount to be posted back.

campaign_id
string
required

The unique identifier for the campaign.

Response

Successful Response

message
string
Example:

"Revenue postback processed successfully."

status
string
Example:

"success"